<?php
include_once(getabspath("include/det_movimiento_settings.php"));

function DisplayMasterTableInfo_det_movimiento($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="det_movimiento";

//$strSQL = "SELECT  det_movimiento.iddet_movimiento,  det_movimiento.idmovimiento,  det_movimiento.idcuenta,  det_movimiento.monto_apertura,  det_movimiento.monto_cierre,  det_movimiento.fecha_apertura,  det_movimiento.monto_recaudado,  det_movimiento.monto_gastado,  det_movimiento.fecha_cierre,  cuenta.denominacion  FROM det_movimiento  INNER JOIN cuenta ON cuenta.idcuenta = det_movimiento.idcuenta  ORDER BY det_movimiento.iddet_movimiento DESC  ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["det_movimiento_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="v_det_movimiento")
{
		$where.= GetFullFieldName("idmovimiento", "", false)."=".$cipherer->MakeDBValue("idmovimiento",$keys[1-1], "", "", true);
	$showKeys .= " "."ID Movimiento".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["iddet_movimiento"]));
	

//	iddet_movimiento - 
			$xt->assign("iddet_movimiento_mastervalue", $viewControls->showDBValue("iddet_movimiento", $data, $keylink));

//	idmovimiento - 
			$xt->assign("idmovimiento_mastervalue", $viewControls->showDBValue("idmovimiento", $data, $keylink));

//	idcuenta - 
			$xt->assign("idcuenta_mastervalue", $viewControls->showDBValue("idcuenta", $data, $keylink));

//	monto_apertura - Number
			$xt->assign("monto_apertura_mastervalue", $viewControls->showDBValue("monto_apertura", $data, $keylink));

//	monto_cierre - Number
			$xt->assign("monto_cierre_mastervalue", $viewControls->showDBValue("monto_cierre", $data, $keylink));

//	fecha_apertura - Datetime
			$xt->assign("fecha_apertura_mastervalue", $viewControls->showDBValue("fecha_apertura", $data, $keylink));

//	monto_recaudado - Number
			$xt->assign("monto_recaudado_mastervalue", $viewControls->showDBValue("monto_recaudado", $data, $keylink));

//	monto_gastado - Number
			$xt->assign("monto_gastado_mastervalue", $viewControls->showDBValue("monto_gastado", $data, $keylink));

//	fecha_cierre - Datetime
			$xt->assign("fecha_cierre_mastervalue", $viewControls->showDBValue("fecha_cierre", $data, $keylink));

//	denominacion - 
			$xt->assign("denominacion_mastervalue", $viewControls->showDBValue("denominacion", $data, $keylink));
	$xt->display("det_movimiento_masterprint.htm");
	$strTableName=$oldTableName;

}

?>